package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.LogPayCpParam;
import com.zanxiang.manage.domain.vo.LogPayCpVO;
import com.zanxiang.mybatis.entity.LogPayCp;

/**
 * 通知CP记录表 服务类接口
 *
 * @author xufeng
 * @date 2022-07-05 13:53
 */
public interface LogPayCpService extends IService<LogPayCp> {

    /**
     * 回调cp列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link LogPayCpVO}>
     */
    IPage<LogPayCpVO> callCpList(LogPayCpParam param);
}
