package com.zanxiang.sdk.service;

import com.zanxiang.mybatis.entity.User;
import com.zanxiang.sdk.domain.params.UserData;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description :
 */
public interface UserLoginLogService {

    /**
     * 创建角色登录日志
     *
     * @param userData 用户
     * @param type     类型
     * @param roleId   角色id
     * @return {@link Boolean}
     */
    Boolean createRoleLoginLog(UserData userData, String roleId, Integer type);

    /**
     * 创建用户登录日志
     *
     * @param user 用户
     * @param type 类型
     * @return {@link Boolean}
     */
    Boolean createUserLoginLog(User user, Integer type);
}
